extensions / Subscription groups
PUT
/api/projects/{project_id}/sales/subscription_groups/{group_id}PUT /api/projects/{project_id}/sales/subscription_groups/{group_id}
A description is not available in the current release metadata.
Code examples
Integration
PUT /api/projects/{project_id}/sales/subscription_groups/{group_id}
Environment
BASE_URLcurl --request PUT \
--url "${BASE_URL}/api/projects/example_project_id/sales/subscription_groups/example_group_id" \
--header "Content-Type: application/json" \
--data @request.jsonResponse
Response examples are not available in the current release metadata.
Authentication
Authentication requirements are not specified for this operation.
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Headers
Path Parameters
| Name | Required | Type |
|---|---|---|
project_id | Yes | Not specified |
group_id | Yes | Not specified |
Query Parameters
Request Body
Schema: SubscriptionGroupPayload
| Field | Required | Type |
|---|---|---|
name | Yes | Not specified |
discount_type | No | Not specified |
discount_amount | No | Not specified |
discount_scope | No | Not specified |
intro_duration | No | Not specified |
intro_unit | No | Not specified |
discount_target | No | Not specified |
tax_enabled | No | Not specified |
require_payment_before_trial | No | Not specified |
refund_policy | No | Not specified |
upgrade_allowed | No | Not specified |
upgrade_charge_model | No | Not specified |
Response Body
Errors
Availability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified